module OW_taper
!--------------------------------------------------
! Compute vref
!

use OW_type
use OW_parms

implicit none

contains

subroutine owtaper(tr,taper)

integer				:: tr,i
real				:: taper(:)

taper=1.

do i=1,tr
   taper(i)=(1+cos(pi*(tr-i+1)/tr))/2
   taper(size(taper)-i+1)=taper(i)
end do
end subroutine owtaper

end module
